searchNodes=[{"doc":"Documentation for Shortcode.","ref":"Shortcode.html","title":"Shortcode","type":"module"},{"doc":"Convert a shortcode to an integer.Examplesiex&gt; Shortcode.to_integer(&quot;A&quot;) {:ok, 36} iex&gt; Shortcode.to_integer(&quot;0&quot;) {:ok, 0} iex&gt; Shortcode.to_integer(&quot;C8IF9cqY1HP7GGslHNYLI&quot;) {:ok, 26867168257211004681214735068979920902} iex&gt; Shortcode.to_integer(&quot;prefix_C8IF9cqY1HP7GGslHNYLI&quot;) {:ok, 26867168257211004681214735068979920902} iex&gt; Shortcode.to_integer(Ecto.UUID.bingenerate) :error iex&gt; Shortcode.to_integer(1) :error","ref":"Shortcode.html#to_integer/1","title":"Shortcode.to_integer/1","type":"function"},{"doc":"Same as to_integer/1 but raises ArgumentError on invalid arguments.","ref":"Shortcode.html#to_integer!/1","title":"Shortcode.to_integer!/1","type":"function"},{"doc":"Convert an hex encoded uuid or an integer to a shortcode with support of prefix.Examplesiex&gt; Shortcode.to_shortcode(&quot;14366daa-c0f5-0f52-c9ec-e0a0b1e20006&quot;, &quot;prefix&quot;) {:ok, &quot;prefix_C8IF9cqY1HP7GGslHNYLI&quot;} iex&gt; Shortcode.to_shortcode(0) {:ok, &quot;0&quot;} iex&gt; Shortcode.to_shortcode(61) {:ok, &quot;Z&quot;} iex&gt; Shortcode.to_shortcode(&quot;00000000-0000-0000-0000-000000000000&quot;) {:ok, &quot;0&quot;} iex&gt; Shortcode.to_shortcode(&quot;ffffffff-ffff-ffff-ffff-ffffffffffff&quot;) {:ok, &quot;7N42dgm5tFLK9N8MT7fHC7&quot;} iex&gt; Shortcode.to_shortcode(Ecto.UUID.bingenerate) :error iex&gt; Shortcode.to_shortcode(&quot;ffffffff-ffff-ffff-ffff-fffffffffffg&quot;) :error iex&gt; Shortcode.to_shortcode(&quot;e0a0b1e20006&quot;) :error iex&gt; Shortcode.to_shortcode(&quot;-1&quot;) :error","ref":"Shortcode.html#to_shortcode/2","title":"Shortcode.to_shortcode/2","type":"function"},{"doc":"Same as to_shortcode/2 but raises ArgumentError on invalid arguments.","ref":"Shortcode.html#to_shortcode!/2","title":"Shortcode.to_shortcode!/2","type":"function"},{"doc":"Convert a shortcode to a uuid.Examplesiex&gt; Shortcode.to_uuid(&quot;0&quot;) {:ok, &quot;00000000-0000-0000-0000-000000000000&quot;} iex&gt; Shortcode.to_uuid(&quot;C8IF9cqY1HP7GGslHNYLI&quot;) {:ok, &quot;14366daa-c0f5-0f52-c9ec-e0a0b1e20006&quot;} iex&gt; Shortcode.to_uuid(&quot;prefix_C8IF9cqY1HP7GGslHNYLI&quot;) {:ok, &quot;14366daa-c0f5-0f52-c9ec-e0a0b1e20006&quot;} iex&gt; Shortcode.to_uuid(&quot;7N42dgm5tFLK9N8MT7fHC8&quot;) :error iex&gt; Shortcode.to_uuid(Ecto.UUID.bingenerate()) :error iex&gt; Shortcode.to_uuid(&quot;&quot;) :error","ref":"Shortcode.html#to_uuid/1","title":"Shortcode.to_uuid/1","type":"function"},{"doc":"Same as to_uuid/1 but raises ArgumentError on invalid arguments.","ref":"Shortcode.html#to_uuid!/1","title":"Shortcode.to_uuid!/1","type":"function"},{"doc":"An Ecto type for ids shortcode with prefix.","ref":"Shortcode.Ecto.ID.html","title":"Shortcode.Ecto.ID","type":"module"},{"doc":"Callback implementation for Ecto.ParameterizedType.cast/2.","ref":"Shortcode.Ecto.ID.html#cast/2","title":"Shortcode.Ecto.ID.cast/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.dump/3.","ref":"Shortcode.Ecto.ID.html#dump/3","title":"Shortcode.Ecto.ID.dump/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.embed_as/2.","ref":"Shortcode.Ecto.ID.html#embed_as/2","title":"Shortcode.Ecto.ID.embed_as/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.equal?/3.","ref":"Shortcode.Ecto.ID.html#equal?/3","title":"Shortcode.Ecto.ID.equal?/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.init/1.","ref":"Shortcode.Ecto.ID.html#init/1","title":"Shortcode.Ecto.ID.init/1","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.load/3.","ref":"Shortcode.Ecto.ID.html#load/3","title":"Shortcode.Ecto.ID.load/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.type/1.","ref":"Shortcode.Ecto.ID.html#type/1","title":"Shortcode.Ecto.ID.type/1","type":"function"},{"doc":"Stored type data","ref":"Shortcode.Ecto.ID.html#t:raw/0","title":"Shortcode.Ecto.ID.raw/0","type":"type"},{"doc":"A binary string.","ref":"Shortcode.Ecto.ID.html#t:t/0","title":"Shortcode.Ecto.ID.t/0","type":"type"},{"doc":"An Ecto type for UUIDs shortcode with prefix.","ref":"Shortcode.Ecto.UUID.html","title":"Shortcode.Ecto.UUID","type":"module"},{"doc":"Callback implementation for Ecto.ParameterizedType.autogenerate/1.","ref":"Shortcode.Ecto.UUID.html#autogenerate/1","title":"Shortcode.Ecto.UUID.autogenerate/1","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.cast/2.","ref":"Shortcode.Ecto.UUID.html#cast/2","title":"Shortcode.Ecto.UUID.cast/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.dump/3.","ref":"Shortcode.Ecto.UUID.html#dump/3","title":"Shortcode.Ecto.UUID.dump/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.embed_as/2.","ref":"Shortcode.Ecto.UUID.html#embed_as/2","title":"Shortcode.Ecto.UUID.embed_as/2","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.equal?/3.","ref":"Shortcode.Ecto.UUID.html#equal?/3","title":"Shortcode.Ecto.UUID.equal?/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.init/1.","ref":"Shortcode.Ecto.UUID.html#init/1","title":"Shortcode.Ecto.UUID.init/1","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.load/3.","ref":"Shortcode.Ecto.UUID.html#load/3","title":"Shortcode.Ecto.UUID.load/3","type":"function"},{"doc":"Callback implementation for Ecto.ParameterizedType.type/1.","ref":"Shortcode.Ecto.UUID.html#type/1","title":"Shortcode.Ecto.UUID.type/1","type":"function"},{"doc":"A raw binary representation of a UUID.","ref":"Shortcode.Ecto.UUID.html#t:raw/0","title":"Shortcode.Ecto.UUID.raw/0","type":"type"},{"doc":"","ref":"Shortcode.Ecto.UUID.html#t:t/0","title":"Shortcode.Ecto.UUID.t/0","type":"type"},{"doc":"A hex-encoded UUID string.","ref":"Shortcode.Ecto.UUID.html#t:uuid/0","title":"Shortcode.Ecto.UUID.uuid/0","type":"type"},{"doc":"Shortcode An Ecto type for UUIDs and ID displayed as shortcode with support of prefix 'à la Stripe'.","ref":"readme.html","title":"Shortcode","type":"extras"},{"doc":"Shortcode is published on Hex. The package can be installed by adding shortcode to your list of dependencies in mix.exs:def deps do [ {:shortcode, &quot;~&gt; 0.5.0&quot;} ] endThe docs can be found at https://hexdocs.pm/shortcode.","ref":"readme.html#installation","title":"Shortcode - Installation","type":"extras"},{"doc":"You can use Shortcode UUID or Shortcode id for regular or primary key fields.defmodule MyApp.UserWithUUID do use Ecto.Schema @primary_key {:id, Shortcode.Ecto.UUID, prefix: &quot;usr&quot;, autogenerate: true} schema &quot;users&quot; do end end defmodule MyApp.UserWithID do use Ecto.Schema @primary_key {:id, Shortcode.Ecto.ID, prefix: &quot;usr&quot;, autogenerate: true} schema &quot;users&quot; do end enddefmodule RequestUUID do use Ecto.Schema schema &quot;request&quot; do field :uuid, Shortcode.Ecto.UUID field :uuid_with_prefix, Shortcode.Ecto.UUID, prefix: &quot;req&quot; field :autogenerated_uuid, Shortcode.Ecto.UUID, autogenerate: true field :autogenerated_uuid_with_prefix, Shortcode.Ecto.UUID, autogenerate: true, prefix: &quot;req&quot; end end defmodule RequestID do use Ecto.Schema schema &quot;request&quot; do field :request_id, Shortcode.Ecto.ID field :request_id_with_prefix, Shortcode.Ecto.ID, prefix: &quot;req&quot; field :autogenerated_request_id, Shortcode.Ecto.UUID, autogenerate: true field :autogenerated_request_id_with_prefix, Shortcode.Ecto.UUID, autogenerate: true, prefix: &quot;req&quot; end end","ref":"readme.html#usage","title":"Shortcode - Usage","type":"extras"}]